var app = getApp();
Page({
  data: {
  },
  onLoad: function () {
  },
  // 扫码绑定
  scanBind: function (e) {
    let me = this;
    wx.scanCode({ //扫描API
      success(res) { //扫描成功
        console.log(res.result)
        wx.request({
          url: app.globalData.apiUrl + 'devices/seexSn',
          method: 'POST',
          data: {
            token: wx.getStorageSync('token'),
            url: res.result
          },
          success: function (res) {
            if(res.data.errno==200){
              console.log(res.data.data.seexSn)
              // 获取设备码后跳转到绑定页面
              wx.navigateTo({
                url: '/pages/bindEquipment/bindEquipment?equipmentId='+res.data.data.seexSn
              })
            }else{
              // 打印错误信息
              console.log(res.data.msg)
              wx.showToast({
                title: res.data.msg,
                // mask: true,
                icon: 'none',
                duration: 2000
              });
            }
          }
        })
      }
    })
  },
  // 手动绑定
  handBind: function (e) {
    // 跳转到输入SN码页面
    wx.navigateTo({
      url: '/pages/handBind/handBind'
    })
  }
})
