var app = getApp();
Page({
  data: {
    equipmentId: 'B022I319D384F95',
    trainTip: true,
    messageTip: true,
    serveTip: true,
    isShow: true,
  },
  onLoad: function (options) {
  },
  // 训练提醒（总开关）
  trainTip: function(e) {
    this.setData({
      trainTip: e.detail.value,
      messageTip: e.detail.value,
      serveTip: e.detail.value,
      isShow: e.detail.value
    })
    console.log('训练提醒'+this.data.trainTip)
  },
  messageTip: function(e) {
    this.setData({
      messageTip: e.detail.value
    })
    if(this.data.messageTip || this.data.serveTip){
    }else{
      this.setData({
        trainTip: e.detail.value,
        messageTip: e.detail.value,
        serveTip: e.detail.value,
        isShow: e.detail.value
      })
    }
    console.log('短信提醒'+this.data.messageTip)
  },
  serveTip: function(e) {
    this.setData({
      serveTip: e.detail.value
    })
    if(this.data.messageTip || this.data.serveTip){
    }else{
      this.setData({
        trainTip: e.detail.value,
        messageTip: e.detail.value,
        serveTip: e.detail.value,
        isShow: e.detail.value
      })
    }
    console.log('服务号提醒'+this.data.serveTip)
  },
  // 更改网络
  changeNet: function () {
    wx.navigateTo({
      url: '/pages/network/network'
    })
  },
  // 退出登录
  logout: function(e) {
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'users/logout',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token')
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          wx.showToast({
            title: '退出登录成功！',
            mask: true,
            // icon: 'none',
            duration: 2000
          });
          // 关闭所有页面，打开到
          wx.reLaunch({
            url: '/pages/login/login'
          })
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
})