var app = getApp();
Page({
  data: {
    SN: ''
  },
  onLoad: function () {
  },
  // sn码
  snChange: function(e) {
    this.setData({
      SN: e.detail.value
    })
  },
  // 开始绑定
  bind: function(e) {
    let me = this;
    console.log(me.data.SN)
    if(me.data.SN==''){
      wx.showModal({
        title: '提示',
        showCancel: false,
        content: 'SN码不能为空！'
      })
      return
    }
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'devices/bind',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        seexSn: me.data.SN
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          // 绑定成功
          wx.showToast({
            title: '绑定成功',
            mask: true,
            // icon: 'none',
            duration: 2000
          });
          wx.navigateTo({
            url: '/pages/network/network'
          })
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  }
})
