var app = getApp();
Page({
  data: {
    useArray: ['允许使用','完成当日训练后允许使用','不可使用'],
    useIndex: 0,//使用限制
    shieldAllArray: ['关闭护眼功能','使用20分钟，强制训练5分钟','使用30分钟，强制训练5分钟','使用40分钟，强制训练5分钟'],
    shieldArray: ['关闭护眼功能','使用20分钟，训练5分钟','使用30分钟，训练5分钟','使用40分钟，训练5分钟'],
    shieldIndex: 0,//强制护眼
    // shieldValue: [0],
    // shield: '',
    starting: 0, //开机提醒状态，1、允许、0、不允许
    installApp: 0, //安装应用状态，1、允许安装、0、不允许安装


    trainTip: true,
    messageTip: true,
    serveTip: true,
    isShow: true,

    parallaxArray: ['关闭','右眼视差','左眼视差'],
    parallaxIndex: 0,//视差训练

    weakArray: ['关闭','双眼弱视','右眼弱视','左眼弱视'],
    weakIndex: 0,//弱视训练

    // shieldAllArray: [{name:'关闭护眼功能'},{name:'使用应用20分钟，强制护眼训练5分钟'},{name:'使用应用30分钟，强制护眼训练5分钟'},{name:'使用应用40分钟，强制护眼训练5分钟'}],//picker 数据
    // pickerClo: "1",// picker 几列

  },
  onLoad: function () {
    // this.demopicker = this.selectComponent("#shieldpicker");
    let me = this;
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'apps/info',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token')
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            useIndex: res.data.data.appManagement-1,
            shieldIndex: res.data.data.eyeProtection-1,
            installApp: res.data.data.installApp,
            // starting: res.data.data.starting
          })
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  useChange: function (e) {// 使用限制
    let me = this,
        useStatus = parseInt(e.detail.value)+1;
    console.log('使用限制')
    console.log(useStatus)
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'apps/appManagement',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        status: useStatus
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            useIndex: useStatus-1
          })
        }else{
          me.setData({
            useIndex: me.data.useIndex
          })
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  parallaxChange: function (e) {// 视差训练
    let me = this,
        parallaxStatus = parseInt(e.detail.value)+1;
    console.log('视差训练')
    console.log(parallaxStatus)
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    // wx.request({
    //   url: app.globalData.apiUrl + 'apps/appManagement',
    //   method: 'POST',
    //   data: {
    //     token: wx.getStorageSync('token'),
    //     status: parallaxStatus
    //   },
    //   success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
    //     if(res.data.errno==200){
          me.setData({
            parallaxIndex: parallaxStatus-1
          })
          if(parallaxStatus!=1){
            wx.showModal({
              title: '重要提示',
              showCancel: false,
              content: '此训练仅适用于双眼视差大于0.2的情况'
            })
          }
    //     }else{
    //       me.setData({
    //         parallaxIndex: me.data.parallaxIndex
    //       })
    //       wx.showModal({
    //         title: '提示',
    //         showCancel: false,
    //         content: res.data.msg
    //       })
    //     }
    //   }
    // })
  },
  weakChange: function (e) {// 弱视训练
    let me = this,
        weakStatus = parseInt(e.detail.value)+1;
    console.log('弱视训练')
    console.log(weakStatus)
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    // wx.request({
    //   url: app.globalData.apiUrl + 'apps/appManagement',
    //   method: 'POST',
    //   data: {
    //     token: wx.getStorageSync('token'),
    //     status: weakStatus
    //   },
    //   success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
    //     if(res.data.errno==200){
          me.setData({
            weakIndex: weakStatus-1
          })
          if(weakStatus!=1){
            wx.showModal({
              title: '重要提示',
              showCancel: false,
              content: '如无弱视情况，请勿开启此训练！'
            })
          }
    //     }else{
    //       me.setData({
    //         weakIndex: me.data.weakIndex
    //       })
    //       wx.showModal({
    //         title: '提示',
    //         showCancel: false,
    //         content: res.data.msg
    //       })
    //     }
    //   }
    // })
  },
  shieldChange: function (e) {// 强制护眼
    let me = this,
        shieldIndex = parseInt(e.detail.value)+1;
    console.log('强制护眼')
    console.log(shieldIndex)
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'apps/eyeProtection',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        status: shieldIndex
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            shieldIndex: shieldIndex-1
          })
        }else{
          me.setData({
            shieldIndex: me.data.shieldIndex
          })
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  // 训练提醒（总开关）
  trainTip: function(e) {
    this.setData({
      trainTip: e.detail.value,
      messageTip: e.detail.value,
      serveTip: e.detail.value,
      isShow: e.detail.value
    })
    console.log('训练提醒'+this.data.trainTip)
  },
  messageTip: function(e) {
    this.setData({
      messageTip: e.detail.value
    })
    if(this.data.messageTip || this.data.serveTip){
    }else{
      this.setData({
        trainTip: e.detail.value,
        messageTip: e.detail.value,
        serveTip: e.detail.value,
        isShow: e.detail.value
      })
    }
    console.log('短信提醒'+this.data.messageTip)
  },
  serveTip: function(e) {
    this.setData({
      serveTip: e.detail.value
    })
    if(this.data.messageTip || this.data.serveTip){
    }else{
      this.setData({
        trainTip: e.detail.value,
        messageTip: e.detail.value,
        serveTip: e.detail.value,
        isShow: e.detail.value
      })
    }
    console.log('服务号提醒'+this.data.serveTip)
  },
  starting: function (e) {// 开机提醒
    console.log('开机提醒', e.detail.value)
    let me = this,
        startingStatus = 0;
    if(e.detail.value){
      // 安装应用状态，1、允许安装、0、不允许安装
      startingStatus = 1
    }else{
      startingStatus = 0
    }
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    // wx.request({
    //   url: app.globalData.apiUrl + 'apps/installApp',
    //   method: 'POST',
    //   data: {
    //     token: wx.getStorageSync('token'),
    //     status: startingStatus
    //   },
    //   success: function (res) {
    //     // 请求成功后关闭Loading
        wx.hideLoading();
    //     if(res.data.errno==200){
          me.setData({
            starting: startingStatus
          })
    //     }else{
    //       me.setData({
    //         starting: me.data.starting
    //       })
    //       wx.showModal({
    //         title: '提示',
    //         showCancel: false,
    //         content: res.data.msg
    //       })
    //     }
    //   }
    // })
  },
  installApp: function (e) {// 安装应用
    console.log('安装应用', e.detail.value)
    let me = this,
        installAppStatus = 0;
    if(e.detail.value){
      // 安装应用状态，1、允许安装、0、不允许安装
      installAppStatus = 1
    }else{
      installAppStatus = 0
    }
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'apps/installApp',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        status: installAppStatus
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            installApp: installAppStatus
          })
        }else{
          me.setData({
            installApp: me.data.installApp
          })
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  // 使用限制疑问
  useLimit: function () {
    wx.showModal({
      title: '提示',
      showCancel: false,
      content: '您可以根据情况设置是否完成训练计划才可以使用其他应用或功能'
    })
  },
  // 强制护眼疑问
  constraint: function () {
    wx.showModal({
      title: '提示',
      showCancel: false,
      content: '您可以根据选项设置使用时长的强制护眼训练'
    })
  },
  // 安装应用疑问
  installAppTip: function () {
    wx.showModal({
      title: '提示',
      showCancel: false,
      content: '打开该设置可以允许自主下载更多应用'
    })
  },
  toWhiteList: function(e) {
    wx.navigateTo({
      url: '/pages/whiteList/whiteList?currentType='+e.currentTarget.id
    })
  },
  // 完成设置
  settingDone: function (e){

    wx.showModal({
      title: '重要提示',
      showCancel: true,
      content: '请确认是否保存',
      success (res) {
        if (res.confirm) {
          // console.log('用户点击确定')
          // 跳转首页
          wx.reLaunch({
            url: '/pages/index/index'
          })
        } else if (res.cancel) {
          // console.log('用户点击取消')
        }
      }
    })
  },

  // shieldTap: function (e) {
  //   this.demopicker.showPicker();
  // },
  // confirm:function(e){
  //   console.log(e.detail)
  //   this.setData({
  //     shieldValue: e.detail
  //   })
  //   // this.demopicker.hiddePicker();
  // },

  
})
