var app = getApp();
Page({
  data: {
    luoeyeArray: [
      ['4.0','4.1','4.2','4.3','4.4','4.5','4.6','4.7','4.8','4.9','-','5.0','5.1','5.2','5.3'],
      ['4.0','4.1','4.2','4.3','4.4','4.5','4.6','4.7','4.8','4.9','-','5.0','5.1','5.2','5.3']
    ],
    luoeyeIndex: [10, 10],
    trainArray: ['动态训练','静态训练','单词训练'],
    DArray: ['训练11分钟','训练16分钟','训练17分钟','训练19分钟','训练21分钟','训练26分钟'],
    JArray: ['每天观看10分钟'],
    firstTrainIndex: 0,//第一组训练类型
    secondTrainIndex: 0,//第二组训练类型
    firstDIndex: 0,//第一组动态详细设置
    secondDIndex: 0,//第二组动态详细设置
    firstJIndex: 0,//第一组静态详细设置
    secondJIndex: 0,//第二组静态详细设置
    wordSetShow: false,//单词训练弹窗
  },
  onLoad: function () {
  },
  luoeyeChange: function (e) {// 本次裸眼视力
    let luoData = {
      left: this.data.luoeyeArray[0][e.detail.value[0]],
      right: this.data.luoeyeArray[1][e.detail.value[1]]
    }
    this.setData({
      luoeyeIndex: e.detail.value
    })
    console.log('本次裸眼视力：')
    console.log(luoData)
  },
  // 第一组训练类型
  firstTrainChange: function (e) {
    console.log('第一组训练类型：'+e.detail.value+this.data.trainArray[e.detail.value])
    this.setData({
      firstTrainIndex: e.detail.value
    })
  },
  // 第二组训练类型
  secondTrainChange: function (e) {
    console.log('第二组训练类型：'+e.detail.value+this.data.trainArray[e.detail.value])
    this.setData({
      secondTrainIndex: e.detail.value
    })
  },
  // 第一组动态详细设置
  firstDChange: function (e) {
    console.log('第一组动态详细设置：'+e.detail.value+this.data.DArray[e.detail.value])
    this.setData({
      firstDIndex: e.detail.value
    })
  },
  // 第一组静态详细设置
  firstJChange: function (e) {
    console.log('第一组静态详细设置：'+e.detail.value+this.data.JArray[e.detail.value])
    this.setData({
      firstJIndex: e.detail.value
    })
  },
  // 第二组动态详细设置
  secondDChange: function (e) {
    console.log('第二组动态详细设置：'+e.detail.value+this.data.DArray[e.detail.value])
    this.setData({
      secondDIndex: e.detail.value
    })
  },
  // 第二组静态详细设置
  secondJChange: function (e) {
    console.log('第二组静态详细设置：'+e.detail.value+this.data.JArray[e.detail.value])
    this.setData({
      secondJIndex: e.detail.value
    })
  },
  // 第一组单词训练设置
  firstWordSet: function () {
    console.log('第一组单词训练设置')
    this.setData({
      wordSetShow: true
    })
  },
  // 第二组单词训练设置
  secondWordSet: function () {
    console.log('第二组单词训练设置')
    this.setData({
      wordSetShow: true
    })
  },
  // 关闭单词训练设置弹窗
  close: function () {
    this.setData({
      wordSetShow: false
    })
  },
  // 完成
  updateDone: function () {
    // 关闭当前页面，跳转到首页
    wx.redirectTo({
      url: '/pages/index/index'
    })
  }
})
